%define upstream_name      Net-SSLeay
%define upstream_version 1.74

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\ |perl\\(Test::More

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for using OpenSSL
License:    BSD-like
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More) >= 0.600_100
BuildRequires: openssl >= 0.9.3a
BuildRequires: openssl-devel
BuildRequires: perl-devel
BuildRequires: zlib-devel
Requires:   openssl >= 0.9.3a
Provides:   perl-Net_SSLeay = %{version}-%{release}
Provides:   perl-Net_SSLeay.pm = %{version}-%{release}

%description
Perl extension for using OpenSSL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%__chmod 755 examples

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
echo | %__perl Makefile.PL %{_prefix} INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
perl -p -i -e 's|/usr/local/bin|/usr/bin|g;' *.pm examples/*

%check
# testing the package implies contacting external sites (some are down ?)
#make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*


%changelog
* Mon Jun 06 2016 tv <tv> 1.740.0-2.mga6
+ Revision: 1020374
- unbloat default install: Test::More is only needed at buildtime

* Fri Apr 15 2016 shlomif <shlomif> 1.740.0-1.mga6
+ Revision: 1002264
- update to 1.74

* Thu Mar 03 2016 umeabot <umeabot> 1.720.0-3.mga6
+ Revision: 983890
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 1.720.0-2.mga6
+ Revision: 957822
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.720.0-1.mga6
+ Revision: 884764
- update to 1.72

* Sun Jul 05 2015 sander85 <sander85> 1.700.0-1.mga6
+ Revision: 851528
- update to 1.70

* Fri Jun 26 2015 tv <tv> 1.690.0-2.mga6
+ Revision: 845059
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.690.0-1.mga6
+ Revision: 840782
- New version 1.69 + Rebuild for the new perl

* Sun Oct 19 2014 umeabot <umeabot> 1.660.0-4.mga5
+ Revision: 790423
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.660.0-3.mga5
+ Revision: 744324
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.660.0-2.mga5
+ Revision: 685729
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 sander85 <sander85> 1.660.0-1.mga5
+ Revision: 666174
- update to 1.66

* Mon Jul 14 2014 guillomovitch <guillomovitch> 1.650.0-1.mga5
+ Revision: 652007
- new version 1.65

* Wed Jun 11 2014 sander85 <sander85> 1.640.0-1.mga5
+ Revision: 635622
- update to 1.64

* Tue Jun 03 2014 pterjan <pterjan> 1.630.0-2.mga5
+ Revision: 631527
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 1.630.0-1.mga5
+ Revision: 624395
- update to 1.63

* Sun Feb 09 2014 sander85 <sander85> 1.580.0-1.mga5
+ Revision: 587626
- update to 1.58

* Sat Oct 19 2013 umeabot <umeabot> 1.550.0-2.mga4
+ Revision: 527676
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.550.0-1.mga4
+ Revision: 441700
- update to 1.55

* Sun Jun 02 2013 kharec <kharec> 1.540.0-1.mga4
+ Revision: 435074
- update to 1.54

* Wed May 29 2013 tv <tv> 1.510.0-3.mga4
+ Revision: 429931
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.510.0-2.mga3
+ Revision: 370879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.510.0-1.mga3
+ Revision: 342443
- update to 1.51

* Tue Sep 25 2012 kharec <kharec> 1.490.0-1.mga3
+ Revision: 297423
- new cpan version 1.49

* Tue Jun 05 2012 jquelin <jquelin> 1.480.0-1.mga3
+ Revision: 255221
- update to 1.48

* Wed May 30 2012 jquelin <jquelin> 1.450.0-2.mga3
+ Revision: 251000
- rebuild for perl 5.16

* Sat Feb 25 2012 kharec <kharec> 1.450.0-1.mga2
+ Revision: 214366
- update to 1.45

* Thu Oct 13 2011 jquelin <jquelin> 1.420.0-1.mga2
+ Revision: 154398
- update to 1.42

* Mon Sep 26 2011 jquelin <jquelin> 1.410.0-1.mga2
+ Revision: 148180
- update to 1.41

* Sat Jun 11 2011 spuhler <spuhler> 1.360.0-10.mga2
+ Revision: 104097
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.360.0-9.mga1
+ Revision: 31623
- rebuild
- mageia rebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.360.0-8.mga1
+ Revision: 23194
- rebuild for perl 5.12

* Mon Jan 17 2011 nanardon <nanardon> 1.360.0-7.mga1
+ Revision: 20809
- kill obsoletes (match nothing in previous distribution)

  + jquelin <jquelin>
    - imported package perl-Net-SSLeay

